%define beta %nil
%define muse_group audio
%define qtdir %_libdir/qt3

Name: muse
Version: 0.7.0
Release: alt1%beta

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Summary: MIDI/Audio sequencer and editor
Summary(ru_RU.KOI8-R): MIDI-   
License: GPL
Group: Sound
Url: http://muse.seh.de

Source: http://prdownloads.sourceforge.net/l%name/%name-%version%beta.tar.bz2
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm

Patch: %name-0.7.0-alt-nogivertcap_makefile.patch
Patch1: %name-0.7.0-alt-kernel_ver.patch

%define libsndfile_ver 1.0.2
%define ladcca_ver 0.4.0
%define jack_ver 0.80.0
%define fluidsynth_ver 1.0.3
%define qt_ver 3.1.2

Requires: givertcap
Requires: libqt3 >= %qt_ver
Requires: jackd >= %jack_ver
Requires: ladccad >= %ladcca_ver
Requires: libsndfile >= %libsndfile_ver
Requires: libfluidsynth >= %fluidsynth_ver

BuildPreReq: kernel-headers-std
BuildPreReq: libtool_1.4

BuildPreReq: libladcca-devel >= %ladcca_ver
BuildPreReq: libqt3-devel >= %qt_ver
BuildPreReq: libsndfile-devel >= %libsndfile_ver
BuildPreReq: libfluidsynth-devel >= %fluidsynth_ver
BuildPreReq: jackit-devel >= %jack_ver

# Automatically added by buildreq on Tue Jul 20 2004
BuildRequires: OpenSP XFree86-devel-static XFree86-libs docbook-dtds docbook-style-dsssl doxygen fontconfig freetype2 gcc-c++ glib2 glibc-devel-static graphviz jackit-devel kdelibs-devel ladspa_sdk libalsa-devel libe2fs-devel libfluidsynth-devel libladcca-devel libqt3-devel libsndfile-devel libstdc++-devel openjade pkgconfig qt3-designer sgml-common

%description
MusE is a MIDI sequencer with recording and editing capabilities.

%description -l ru_RU.KOI8-R
MusE --  MIDI-   Cubase/Logic Audio,   
MIDI-         
,  ,       
.

MusE  MTC/MMC,    ALSA sequencer   
      JACK-.

%define sgml_base_dir	 	%(%__grep SGML_BASE_DIR `sgmlwhich` | cut -f2 -d=)
%define dsssldir 		%sgml_base_dir/docbook/dsssl-stylesheets

%prep
%setup -q -n %name-%version%beta
%patch -p1
%patch1 -p1

# build with system ladspa_sdk
%__rm -f ladspa.h 
%__subst 's,ladspa.h ,,' Makefile.*
find ./ -type f -print0|xargs -r0 %__subst 's,".*\(ladspa\.h\)",<\1>,' --

%build
%set_libtool_version 1.4

%__libtoolize --copy --force 
%__aclocal -I m4
%__autoheader
%__automake -a -c -f --include-deps
%__autoconf

export QTDIR=%qtdir
%configure \
	--enable-shared \
	--disable-rpath \
	--disable-qttest \
	--disable-suid-build \
	--disable-suid-install \
	--with-docbook-stylesheets=%dsssldir \
	--enable-patchbay \
	--enable-rtcap \
	--enable-fluidsynth 

%make_build

%install
%make DESTDIR=%buildroot install

# menu
%__mkdir_p %buildroot/%_menudir
%__cat <<__MENU__ >%buildroot/%_menudir/%name
?package(%name): needs="x11" section="Multimedia/%group" title="MusE" \
longtitle="Midi/audio editor" command="%_bindir/muse" icon="%name.xpm"
__MENU__

# icons
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%define customdocdir %_docdir/%name-%version
%__mkdir_p %buildroot%customdocdir/{html,demos}
%__cp -f   demos/* %buildroot%customdocdir/demos/
%__rm -f   %buildroot%customdocdir/demos/Makefile*
%__ln_s ../doc/%name-%version/demos %buildroot/%_datadir/%name/demos
#
%__mv -f   %buildroot/%_datadir/%name/html/* %buildroot%customdocdir/html/
%__rm -rf  %buildroot/%_datadir/%name/html
%__ln_s ../doc/%name-%version/html %buildroot/%_datadir/%name/html
%__cp -f   README* ChangeLog SECURITY plugins/freeverb/readme.txt \
	%buildroot%customdocdir/

%post
%update_menus

%postun
%clean_menus

%files
#%attr(4710,root,%muse_group) %_bindir/%name
%_bindir/%name
%_bindir/grepmidi
%_libdir/%name
%_datadir/%name
%_menudir/*
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
#
%doc %customdocdir

%changelog
* Tue Jul 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt1
- 0.7.0

* Tue Jan 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.3-alt0.5
- 0.6.3

* Fri Nov 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.2-alt0.5
- 0.6.2

* Thu Aug 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt0.5
- 0.6.1 

* Wed May 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5
- 0.6.0 release.
- summary, description by avp.

* Fri Apr 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5pre8
- 0.6.0pre8

* Tue Mar 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5pre7
- 0.6.0pre7

* Fri Dec 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5pre5
- new version.

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.0-alt1.pre2
- new version
- built with gcc3.2

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.14-alt4
- cleanups

* Sun Dec 2 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.4.14-alt3
- Compilation givertcap utility removed, we have separate givertcap
  package now.

* Mon Nov 26 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.4.14-alt2
- Rebuild with Patch3 by Stanislav Ievlev <inger@altlinux.ru>

* Wed Nov 21 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.4.14-alt1
- First build for Sisyphus. Current musE version is 0.4.16, but
  it requires qt3.
